import numpy as np
import matplotlib.pyplot as plt

# Generate the samples.
samples = 10000
xs = np.random.uniform(-1, 1, size=samples)
ys = np.random.normal(loc=xs ** 2, scale=0.1, size=samples)

# Compute which ones satisfy the criteria.
z = np.array(np.logical_and(ys >= 0.5, ys <= 0.7), dtype=int)

plt.hist(xs, weights=z, density=True, bins=np.linspace(-1, 1, 60))
plt.show()